//=============================================================================
// KainDenton.
//=============================================================================
class KainDenton extends Human;


// ----------------------------------------------------------------------
// UpdatePlayerSkin()
// ----------------------------------------------------------------------

function UpdatePlayerSkin()
{
	local PaulDenton paul;
	local PaulDentonCarcass paulCarcass;
	local JCDentonMaleCarcass jcCarcass;
	local JCDouble jc;
	local int i;

	// Paul Denton
	foreach AllActors(class'PaulDenton', paul)
	{
		Paul.MultiSkins[0]=Texture'MIBDentons.Skins.PDFace';
		Paul.MultiSkins[1]=Texture'DeusExCharacters.Skins.SmugglerTex2';
		Paul.MultiSkins[2]=Texture'DeusExCharacters.Skins.PantsTex5';
		Paul.MultiSkins[3]=Texture'MIBDentons.Skins.PDFace';
		Paul.MultiSkins[4]=Texture'DeusExCharacters.Skins.SmugglerTex1';
		Paul.MultiSkins[5]=Texture'DeusExCharacters.Skins.SmugglerTex2';
		Paul.MultiSkins[6]=Texture'DeusExItems.Skins.GrayMaskTex';
		Paul.MultiSkins[7]=Texture'DeusExItems.Skins.BlackMaskTex';
	}

	// Paul Denton Carcass
	foreach AllActors(class'PaulDentonCarcass', paulCarcass)
	{
		PaulCarcass.MultiSkins[0]=Texture'MIBDentons.Skins.PDFace';
		PaulCarcass.MultiSkins[1]=Texture'DeusExCharacters.Skins.SmugglerTex2';
		PaulCarcass.MultiSkins[2]=Texture'DeusExCharacters.Skins.PantsTex5';
		PaulCarcass.MultiSkins[3]=Texture'MIBDentons.Skins.PDFace';
		PaulCarcass.MultiSkins[4]=Texture'DeusExCharacters.Skins.SmugglerTex1';
		PaulCarcass.MultiSkins[5]=Texture'DeusExCharacters.Skins.SmugglerTex2';
		PaulCarcass.MultiSkins[6]=Texture'DeusExItems.Skins.GrayMaskTex';
		PaulCarcass.MultiSkins[7]=Texture'DeusExItems.Skins.BlackMaskTex';
	}

	// JC Denton Carcass
	foreach AllActors(class'JCDentonMaleCarcass', jcCarcass)
	{
		for(i=0;i<8;i++)
		{
			JCCarcass.multiskins[i] = multiskins[i];
		}
	}

	// JC's stunt double
	foreach AllActors(class'JCDouble', jc)
	{
		for(i=0;i<8;i++)
		{
			JC.multiskins[i] = multiskins[i];
		}
	}
}

defaultproperties
{
CarcassType=Class'DeusEx.WaltonSimonsCarcass'
Mesh=LodMesh'DeusExCharacters.GM_Trench'
MultiSkins(0)=Texture'MIBDentons.Skins.KDFace'
MultiSkins(1)=Texture'DeusExCharacters.Skins.WaltonSimonsTex2'
MultiSkins(2)=Texture'MIBDentons.Skins.KDLegs'
MultiSkins(3)=Texture'MIBDentons.Skins.KDFace'
MultiSkins(4)=Texture'MIBDentons.Skins.KDBody'
MultiSkins(5)=Texture'DeusExCharacters.Skins.WaltonSimonsTex2'
MultiSkins(6)=Texture'DeusExItems.Skins.FramesTex4'
MultiSkins(7)=Texture'DeusExItems.Skins.LensesTex3'
BindName="JCDenton"
TruePlayerName="Kain Denton"
FamiliarName="Kain Denton"
UnfamiliarName="Kain Denton"
}